Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#1 Le 26/12/2009, à 12:13

wiltur

impossible de mettre à jour le fichier des groupes

Bonjour,

j'ai un "drôle" de soucis, je ne peux plus ajouter ou modifier mes utilisateurs, ni via les menu (Utilisateurs et groupes) ni en ligne de commande.
Je viens de m'en rendre compte en essayant d'installer URD qui à besion d'installer mysql, donc créer un group mysql, mais voilà, cette création est impossible, j'ai une erreur.Dépaquetage de mysql-server-5.1 (à partir de

.../mysql-server-5.1_5.1.37-1ubuntu5_amd64.deb) ...
groupadd : impossible de verrouiller /etc/gshadow ; veuillez réessayer plus tard.
addgroup : « /usr/sbin/groupadd -g 126 mysql » a renvoyé le code d'erreur 10.
Abandon.

En cherchant un peu j'ai touvé que l'erreur 10 correspondait à impossible de mettre à jour le fichier des groupes

Suis bien avancé, mais je vois pas comment y remédier.

Si je tente aussi de d'ajouter un utilisateur avec adduser, j'obtiens la même erreur.

Une idée ?


Microsoft est à l'informatique ce que TF1 est à la culture. :)

Hors ligne

#2 Le 26/12/2009, à 12:59

Qid

Re : impossible de mettre à jour le fichier des groupes

les droit sur le fichier aurait été modifié ? (rwr root shadow pour info)


"GNU/Linux c'est que du bonheur mais M$ Windows c'est pas si nul"
2 étés dans le même appart' => 2 cambriolages => encore en cours de changement de PC
1 Zalman de 120Go et 1 MultiSysteme de 20Go OK pour les Install-Party
1 tablettes ASUS non rootées : Android 4.2.2 | doc.ubuntu-fr/Qid

Hors ligne

#3 Le 26/12/2009, à 14:39

wiltur

Re : impossible de mettre à jour le fichier des groupes

ls -l me donne ça

-rw-r-----  1 root    shadow     837 2009-12-25 11:48 gshadow

Microsoft est à l'informatique ce que TF1 est à la culture. :)

Hors ligne

#4 Le 26/12/2009, à 19:01

Qid

Re : impossible de mettre à jour le fichier des groupes

wiltur a écrit :

ls -l me donne ça

-rw-r-----  1 root    shadow     837 2009-12-25 11:48 gshadow

donc le probleme n'est pas la hmm


"GNU/Linux c'est que du bonheur mais M$ Windows c'est pas si nul"
2 étés dans le même appart' => 2 cambriolages => encore en cours de changement de PC
1 Zalman de 120Go et 1 MultiSysteme de 20Go OK pour les Install-Party
1 tablettes ASUS non rootées : Android 4.2.2 | doc.ubuntu-fr/Qid

Hors ligne

#5 Le 26/12/2009, à 19:17

wiltur

Re : impossible de mettre à jour le fichier des groupes

me semblait bien aussi hmm
le plus ennuyeux maintenant c'est que je ne peux plus installer quoi que ce soit via les paquets tant de le paquet mysql-server n'est pas fini d'installé...


Microsoft est à l'informatique ce que TF1 est à la culture. :)

Hors ligne

#6 Le 27/12/2009, à 00:41

bobe

Re : impossible de mettre à jour le fichier des groupes

As-tu vérifié la liste des programmes en cours d'exécution ?

Hors ligne

#7 Le 27/12/2009, à 15:23

wiltur

Re : impossible de mettre à jour le fichier des groupes

rien de particulier à mon avis dans les programmes qui tournent, après démarrage du PC ce matin c'est toujours le même soucis.

Les NOUVEAUX paquets suivants seront installés :
  mysql-server-5.1
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
2 partiellement installés ou enlevés.
Il est nécessaire de prendre 0o/7 271ko dans les archives.
Après cette opération, 16,5Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? o
Préconfiguration des paquets...
(Lecture de la base de données... 225842 fichiers et répertoires déjà installés.)
Dépaquetage de mysql-server-5.1 (à partir de .../mysql-server-5.1_5.1.37-1ubuntu5_amd64.deb) ...
groupadd : impossible de verrouiller /etc/gshadow ; veuillez réessayer plus tard.
addgroup : « /usr/sbin/groupadd -g 126 mysql » a renvoyé le code d'erreur 10.
Abandon.
dpkg : erreur de traitement de /var/cache/apt/archives/mysql-server-5.1_5.1.37-1ubuntu5_amd64.deb (--unpack) :
 le sous-processus nouveau script pre-installation a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/mysql-server-5.1_5.1.37-1ubuntu5_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Microsoft est à l'informatique ce que TF1 est à la culture. :)

Hors ligne

#8 Le 28/12/2009, à 11:55

wiltur

Re : impossible de mettre à jour le fichier des groupes

Bon j'ai résolu mon soucis avec apt-get, maintenant je peux installer ou enlever sans soucis des programmes, en revanche toujours impossible de créer d'autres utilisateurs sad


Microsoft est à l'informatique ce que TF1 est à la culture. :)

Hors ligne

#9 Le 29/12/2009, à 12:14

wiltur

Re : impossible de mettre à jour le fichier des groupes

Petit up...
personne n'a une idée pour mon soucis de droits ?


Microsoft est à l'informatique ce que TF1 est à la culture. :)

Hors ligne

#10 Le 08/01/2010, à 21:06

wiltur

Re : impossible de mettre à jour le fichier des groupes

j'ai voulu installer timidity, et pareil ....

Paramétrage de timidity-daemon (2.13.2-36) ...
Adding group timidity....done
Adding system user timidity....done
groups: timidity: usager inexistant.
adduser : L'utilisateur « timidity » n'existe pas.
dpkg : erreur de traitement de timidity-daemon (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 timidity-daemon
E: Sub-process /usr/bin/dpkg returned an error code (1)

help, j'ai pas envie de refaire une installation complète sad

Dernière modification par wiltur (Le 08/01/2010, à 21:07)


Microsoft est à l'informatique ce que TF1 est à la culture. :)

Hors ligne

#11 Le 05/02/2010, à 13:27

root75

Re : impossible de mettre à jour le fichier des groupes

vérifie que la date de création du lock est bien vieux:

#  ls -l /etc/gshadow.lock 
-rw------- 1 root root 0 2010-01-23 15:02 /etc/gshadow.lock

enlève le fichier

sudo rm /etc/gshadow.lock

et tout devrait retourner dans l'ordre

Vincent

Dernière modification par root75 (Le 05/02/2010, à 13:28)

Hors ligne

#12 Le 01/09/2012, à 17:24

bmoez

Re : impossible de mettre à jour le fichier des groupes

slt, j'ai la meme probleme. comment as tu résolu cette problème?

Hors ligne

Haut de page ↑